<?php 
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 
$can=mysqli_query($con,"SELECT MAX(usu_id)as usu_id FROM usuario") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$usu_id=$dato['usu_id']+1;

$usu_cc=mb_strtoupper(limpiar($_POST['usu_cc']));
$usu_username=mb_strtoupper(limpiar($_POST['usu_username']));
$usu_nombre=mb_strtoupper(limpiar($_POST['usu_nombre']));
$usu_correo=mb_strtoupper(limpiar($_POST['usu_correo']));
$usu_tel=mb_strtoupper(limpiar($_POST['usu_tel']));
$usu_dir=mb_strtoupper(limpiar($_POST['usu_dir']));
$usu_estado=ucfirst(limpiar($_POST['usu_estado']));
$rol=mb_strtoupper(limpiar($_POST['rol']));
$tarifa=$_POST['tarifa'];
$sucursal=$sucursal;
$bode=$bod_id;
$clave=mb_strtoupper(limpiar($_POST['clave']));

$query=mysqli_query($con,"SELECT * from usuario where usu_cc = '$usu_cc' and empresa_emp_id='$empresa' and eliminado<>'si' ") or die(mysqli_error($con));
$results=mysqli_fetch_array($query);
if(isset($results['usu_cc']))
{
    echo '<div class="alert alert-danger light">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> 
                <i class="icon-verified_user"></i> <strong>Documento!</strong> No Disponible.
        </div>';
}

else
{
    $query1=mysqli_query($con,"SELECT * from usuario where usu_username='$usu_username' and empresa_emp_id='$empresa' and eliminado<>'si' ") or die(mysqli_error($con));
    $results1=mysqli_fetch_array($query1);
    if(isset($results1['usu_username']))
    {
        $usu_username1 = $results1['usu_username'];
    }
    else
    {
        $usu_username1='0';
    }

    
    if($usu_username1 == $usu_username) 
    {
        echo '<div class="alert alert-danger light">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> 
                <i class="icon-verified_user"></i> <strong>Nombre de usuario!</strong> No Disponible.
            </div>';
    }
    else
    {
        $registros=mysqli_query($con,"INSERT into usuario (usu_id,usu_cc,usu_username,usu_nombre,usu_correo,usu_tel,usu_dir,usu_estado,usu_clave,bodega,sucursal,empresa_emp_id,rol_rol_id,eliminado,tarifa) 
        VALUES  ('$usu_id','$usu_cc','$usu_username','$usu_nombre','$usu_correo','$usu_tel','$usu_dir','$usu_estado','$clave','$bode','$sucursal','$empresa','$rol','no','$tarifa')") or die(mysqli_error($con));
        $datos = mysqli_query($con,"SELECT * FROM menu_superior ") or die(mysqli_error($con)); 
        while( $fila = mysqli_fetch_array( $datos ) ) 
        {
            $men_id=$fila['men_id'];
            $registros=mysqli_query($con,"INSERT into menu_permiso (usuario,menu_superior,estado) 
            VALUES ('$usu_id','$men_id','Activo')") or  die(mysqli_error($con)); 
        } 
        $datos = mysqli_query($con,"SELECT * FROM modulo ") or die(mysqli_error($con)); 
        while( $fila = mysqli_fetch_array( $datos ) )   
        {
            $mod_id=$fila['mod_id'];
            $mod_menu=$fila['mod_menu'];
            $registros=mysqli_query($con,"INSERT into permiso (usuario_usu_id,modulo_mod_id,menu_men_id,per_visualizar) 
            VALUES ('$usu_id','$mod_id','$mod_menu','Activo')") or  die(mysqli_error($con)); 
        }

        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Eliminar Articulo','Activo','$usu_id','5')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Modificar Articulo','Activo','$usu_id','5')") or  die(mysqli_error($con)); 
        

        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Asignar Credito','Activo','$usu_id','13')") or  die(mysqli_error($con)); 
         $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Asignar Tarifa','Activo','$usu_id','13')") or  die(mysqli_error($con)); 

        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Eliminar Compra','Activo','$usu_id','16')") or  die(mysqli_error($con));
         $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Modificar Compra','Activo','$usu_id','16')") or  die(mysqli_error($con));

        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Pendiente','Activo','$usu_id','19')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Confirmado','Activo','$usu_id','19')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('En Proceso','Activo','$usu_id','19')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Procesado','Activo','$usu_id','19')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Facturado','Activo','$usu_id','19')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Enviado','Activo','$usu_id','19')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Cambio/Bonificacion','Activo','$usu_id','19')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Modificar Precio','Activo','$usu_id','19')") or  die(mysqli_error($con));

        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Anular Ventas','Activo','$usu_id','24')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Historiales de caja','Activo','$usu_id','24')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Modificar precio de venta','Activo','$usu_id','24')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Nota Credito','Activo','$usu_id','24')") or die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Realizar Abonos','Activo','$usu_id','24')") or  die(mysqli_error($con)); 
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Realizar Apartados','Activo','$usu_id','24')") or  die(mysqli_error($con)); 

        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Eliminar Pedido Pendiente','Activo','$usu_id','31')") or  die(mysqli_error($con)); 
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Eliminar Pedido Confirmado','Activo','$usu_id','31')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Modificar Precio','Activo','$usu_id','31')") or  die(mysqli_error($con));
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Modificar Cantidad','Activo','$usu_id','31')") or  die(mysqli_error($con)); 
        $registros=mysqli_query($con,"INSERT into modulo_permiso (modp_nombre,estado,usuario,mod_id) 
        VALUES  ('Registar abonos','Activo','$usu_id','31')") or  die(mysqli_error($con));
        



        $nameimagen = $_FILES['imagen']['name'];
        $tmpimagen = $_FILES['imagen']['tmp_name'];
        $extimagen = pathinfo($nameimagen);
        $ext = array("","jpg","jpeg","png","jfif","gif","tif","tiff","JPG","PNG","JPEG","JFIF","GIF","TIF","TIFF");
        $urlnueva = "../img/usuarios/".$usu_id.".jpg";

        // Tamaño máximo en bytes (150KB)
        $max_size = 150 * 1024; // 150 KB en bytes

        if (is_uploaded_file($tmpimagen)) {
            // Verifica si la extensión del archivo es válida
            if (array_search($extimagen['extension'], $ext)) {
                
                // Verificar el tamaño del archivo
                if ($_FILES['imagen']['size'] <= $max_size) {
                    // Si el archivo es menor o igual a 150KB, se guarda tal cual
                    move_uploaded_file($tmpimagen, $urlnueva);
                } else {
                    // Si el archivo excede los 150KB, redimensionamos la imagen

                    $image_info = getimagesize($tmpimagen);
                    $width = $image_info[0];
                    $height = $image_info[1];

                    // Crear una nueva imagen basada en el tipo
                   if (in_array($extimagen['extension'], $ext)) {
                    $image = imagecreatefromjpeg($tmpimagen);
                    } else {
                    echo '<div class="alert alert-danger alert-dismissable">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <strong>La imagen no se guardó! </strong> Formato de imagen no soportado.
                      </div>';
                    exit;
                    }
                    // Reducir el tamaño de la imagen
                    $new_width = 800; // Definir un nuevo tamaño más pequeño
                    $new_height = ($height / $width) * $new_width;
                    $new_image = imagecreatetruecolor($new_width, $new_height);

                    // Redimensionar la imagen
                    imagecopyresampled($new_image, $image, 0, 0, 0, 0, $new_width, $new_height, $width, $height);

                    // Guardar la nueva imagen
                    if (in_array($extimagen['extension'], $ext)) {
                        imagejpeg($new_image, $urlnueva, 75); // 75 es la calidad, puedes ajustarlo según sea necesario
                    }

                    // Liberar la memoria
                    imagedestroy($image);
                    imagedestroy($new_image);
                }
            } else {
                echo '<div class="alert alert-danger alert-dismissable">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <strong>La imagen no se guardó! </strong> Solo se permiten imágenes con formato válido.
                      </div>';
            }
        }

        echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Usuario!</strong> Registrado correctamente.
        </div>';
    }  
}
?>